<script setup lang="ts">
import tabbar from "@/components/tabbar/index.vue";
import MenuBar from "@/components/menu-bar/index.vue";
import { useCachedViewStoreHook } from "@/store/modules/cached-view";
import { useDarkMode } from "@/composables/useToggleDarkMode";
import { computed } from "vue";

const cachedViews = computed(() => {
  return useCachedViewStoreHook().cachedViewList;
});
</script>

<template>
  <div class="app-wrapper">
    <van-config-provider :theme="useDarkMode() ? 'dark' : 'light'">
      <menu-bar />
      <div class="content-wrapper">
        <router-view v-slot="{ Component }">
          <keep-alive :include="cachedViews">
            <component :is="Component" />
          </keep-alive>
        </router-view>
      </div>
<!--      <tabbar />-->
    </van-config-provider>
  </div>
</template>

<style lang="less" scoped>
@import "@/styles/mixin.less";

.app-wrapper {
  width: 100vw;
  height: 100vh;

}
.content-wrapper {
  width: 100vw;
  height: calc(100vh - 85px);
}
</style>
